Subject: bug#25777: 25.1; [PATCH] `rectangle--pos-cols' should not move point

From: [email-masked]
Date: Thu, 02 Mar 2017 21:09:12 -0500

Drew Adams <[email-masked]> writes:

>> My suggestion, since I think we've both had our say and are
>> unlikely to convince one another on the level of principle
>> or guideline, is for you to please make the fix.
>> 
>> Since it is you who will kindly make the actual code change
>> and commit, you should/can do it however you like.  I have
>> no problem with that.
>> 
>> But do you really need another patch for that, especially
>> since wrapping widely, a single time, is so much simpler? ;-)
>> Could you please make the change?  Your way is fine by me,
>> for this.  Thx.
>
> Here is a possible doc string for the renamed `rectangle-pos-cols':

Yeah, the doc string is the tricky part.

>
> "Return cons (START-COLUMN . END-COLUMN) of columns delimiting a rectangle. 

I think the first line is too long.

> START and END are buffer positions of the rectangle corners.
>
> Optional argument WINDOW is the window displaying the rectangle.
> It defaults to the selected window."
>
> I'm not sure it is accurate, but I think so.  (I'm no expert on this.)

And looking at the function body again, I think it's checking some other
things, and seems to have some side effects with respect to the current
rectangle.